Module wxmpl :: Class SelectionEvent

[frames] | no frames]

# Class SelectionEvent

source code

    wx.PyCommandEvent --+
                        |
                       SelectionEvent

wxPython event emitted when an area selection occurs in a matplotlib axes of a window for which zooming has been disabled. The selection is described by a rectangle from `(x1, y1)` to `(x2, y2)`, of which only one point is required to be inside the axes.

Instance Methods

__init__(self, id, axes, x1, y1, x2, y2) Create a new `SelectionEvent` for the area described by the rectangle from `(x1, y1)` to `(x2, y2)` in an `axes`. | source code

Clone(self) | source code

Class Variables
| axes matplotlib `Axes` which was left-clicked
| x1 matplotlib x1 coordinate
| x1data axes x1 coordinate
| x2 matplotlib x2 coordinate
| x2data axes x2 coordinate
| y1 matplotlib y1 coordinate
| y1data axes y1 coordinate
| y2 matplotlib y2 coordinate
| y2data axes y2 coordinate